Bug 97167 - [Chromium] Implement ValidationMessageClient for Chromium
Summary: [Chromium] Implement ValidationMessageClient for Chromium
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit API (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kent Tamura
URL:
Keywords:
Depends on:
Blocks: 95527
  Show dependency treegraph
 
Reported: 2012-09-19 22:03 PDT by Kent Tamura
Modified: 2012-09-24 19:15 PDT (History)
7 users (show)

See Also:


Attachments
Patch (13.84 KB, patch)
2012-09-19 22:13 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff
Patch 2 (13.86 KB, patch)
2012-09-20 18:12 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2012-09-19 22:03:35 PDT
[Chromium] Implement ValidationMessageClient for Chromium
Comment 1 Kent Tamura 2012-09-19 22:13:04 PDT
Created attachment 164838 [details]
Patch
Comment 2 WebKit Review Bot 2012-09-19 22:15:39 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 3 Adam Barth 2012-09-20 10:47:50 PDT
Comment on attachment 164838 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=164838&action=review

> Source/WebKit/chromium/src/ValidationMessageClientImpl.h:42
> +    ValidationMessageClientImpl(WebViewClient&);

explicit
Comment 4 Adam Barth 2012-09-20 10:48:33 PDT
Comment on attachment 164838 [details]
Patch

API change LGTM
Comment 5 Kent Tamura 2012-09-20 18:12:42 PDT
Created attachment 165027 [details]
Patch 2

Add explicit
Comment 6 Hajime Morrita 2012-09-24 18:50:20 PDT
Comment on attachment 165027 [details]
Patch 2

rs=me
Comment 7 WebKit Review Bot 2012-09-24 19:15:48 PDT
Comment on attachment 165027 [details]
Patch 2

Clearing flags on attachment: 165027

Committed r129443: <http://trac.webkit.org/changeset/129443>
Comment 8 WebKit Review Bot 2012-09-24 19:15:52 PDT
All reviewed patches have been landed.  Closing bug.